entity RegBank is
	generic
	(
		WIDTH	: integer := 4;	-- Tamanho do dado
		SIZE	: integer := 4		-- Tamanho do banco (numero de registradores = 2^M)
	);
	port
	(
		-- Entrada(s)
		CLK, EN		: in  bit;									-- Signals CLK e EN do MODO de entrada (in) e do TIPO bit
		A1, A2, A3	: in  bit_vector(2**SIZE-1 downto 0);	-- Signals A1, A2 e A3 do MODO de entrada (in) e do TIPO bit_vector
		WD3			: in  bit_vector(WIDTH-1 downto 0);	-- Signal WD3 do MODO de entrada (in) e do TIPO bit_vector de tamanho WIDTH

		-- Saida(s)
		RD1, RD2	: out bit_vector(WIDTH-1 downto 0)		-- Signals RD1 e RD2 do MODO de saida (out) e do TIPO bit_vector de tamanho WIDTH
	);
end RegBank;

architecture rtl of RegBank is

begin



end rtl;
